Versions

This page contains TriCore compiler tips & tricks from our customer support staff.

After updating Java JRE, Eclipse does not start but quits with an error. How to solve this?

After updating Java JRE the following Eclipse error may show up:

 An error has occured. See the log file
 <workspace>\.metadata\.log.

The log file shows a line like:
Caused by: java.lang.IllegalArgumentException: Invalid version number: Version number may be negative or greater than 255

To mitigate, install a previous JRE like version 202 which can be downloaded from here and use one the following options:

  • Modify the eclipse.ini file which is included in the \eclipse subfolder of the TASKING tools installation directory. Add the following two lines at the beginning of eclipse.ini:
    -vm
    C:\Program Files (x86)\Java\jre1.8.0_202\bin\javaw.exe
  • Or adapt the shortcut which starts the Eclipse executable and modify the Target by adding option:
    -vm "C:\Program Files (x86)\Java\jre1.8.0_202\bin\javaw.exe"